Skip to main content
GET
List all customer's payment requests

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

external_customer_id
string
required

The customer external unique identifier (provided by your own application)

Example:

"5eb02857-a71e-4ea2-bcf9-57d3a41bc6ba"

Query Parameters

page
integer

Page number.

Example:

1

per_page
integer

Number of records per page.

Example:

20

payment_status
enum<string>

Filter by payment status. Possible values are pending, failed or succeeded.

Available options:
pending,
failed,
succeeded
Example:

"pending"

billing_entity_codes[]
string[]

Filter payment requests by billing entity codes.

Example:

Response

PaymentRequests

meta
object
required
payment_requests
object[]